/**
* En klasse for  knytte sammen koordinater, normalisere og regne kryssprodukt av vektorer.
* @author Linda Cecilie Kjeldsen, Grafisk Databehandling 2004, Hi
* @version 0.1
*/
public class CVector3 {
	
	//"Pakkescope", variablene er tilgjengelige for alle klasse i samme pakke
	float x,y,z;
	
	/**
	* Konstruktr for CVector3 klassen
	*/
	CVector3(float x, float y, float z) {
		this.x=x;
		this.y=y;
		this.z=z;
	}
	
	/**
	* Beregner kryssproduktet mellom to vektorer
	* @param w den vektoren denne skal krysses med
	*/
	public void cross(CVector3 w) {
		//C=AxB=(a2b3-a3b2, a3b1-a1b3, a1b2-a2b1)
		float newx,newy,newz;
		newx=y*w.z-z*w.y;
		newy=z*w.x-x*w.z;
		newz=x*w.y-y*w.x;
		x=newx;
		y=newy;
		z=newz;
	}
	
	/**
	* Beregner kryssproduktet mellom to vektorer
	* @param wx frste verdi i den vektoren denne skal krysses med
	* @param wy andre verdi i den vektoren denne skal krysses med
	* @param wz tredje verdi i den vektoren denne skal krysses med
	*/
	public void cross(float wx,float wy,float wz) {
		//C=AxB=(a2b3-a3b2, a3b1-a1b3, a1b2-a2b1)
		float newx,newy,newz;
		newx=y*wz-z*wy;
		newy=z*wx-x*wz;
		newz=x*wy-y*wx;
		x=newx;
		y=newy;
		z=newz;
	}
	
	/**
	* Beregner enhetsvektoren til denne vektoren 
	* (AN = A/|A|, |A| = (a0^2+a1^2+a2^2+a3^2)^1/2)
	*/
	public void normalize() {
		float L=(float)Math.sqrt(x*x+y*y+z*z);
		x=x/L;
		y=y/L;
		z=z/L;
	}
}