/**
* En klasse som inneholder kontrollpunktene til blekksprutens hode.
* @author Linda Cecilie Kjeldsen, Grafisk Databehandling 2004, Hi
* @version 0.1
*/
public class Head {
	
	// Antall kontrollpunkter i hver retning
	int UN = 5;
	int VN = 5;
	
	// Matrisearray med alle kontrollpunktene til hodet
	float ctrPoints[]= {
		// u=0    
		-0.25f, 0,  	0,			//v=0
		-0.25f, 0,  	0.1875f,	//v=1
		0,  	0,  	0.4125f,	//v=2
		0.25f, 	0,  	0.1875f,	//v=3
		0.25f, 	0,  	0 			//v=4
		,
		// u=1
		-0.2f,	0.12f,  0,
		-0.2f,	0.12f,  0.15f,
		0,  	0.12f,  0.33f,
		0.2f, 	0.12f,  0.15f,
		0.2f, 	0.12f,  0
		,
		// u=2
		-0.4f, 	0.36f,  0,
		-0.4f, 	0.36f,  0.3f,
		0,  	0.36f, 	0.66f,
		0.4f,  	0.36f,  0.3f,
		0.4f,  	0.36f,  0
		,
		// u=3
		-0.9f, 	1.2f,  	0,
		-0.9f, 	1.2f,  	0.675f,
		0,  	1.2f,  	1.485f,
		0.9f,  	1.2f,  	0.675f,
		0.9f,  	1.2f,  	0 
		,
		// u=4
		0, 		1.2f,  	0,
		0,  	1.2f,  	0,
		0,  	1.2f,  	0,
		0,  	1.2f,  	0,
		0,  	1.2f,  	0
	};	
	
	/**
	* Returnerer matrise-arrayen som holder hodets kontrollpunkter
	* @return en float-array med hodets kontrollpunkter
	*/
	public float[] getCtrPoints() { return this.ctrPoints; }
	
	/**
	* Returnerer hodets VN
	* @return en int som er antallet kontrollpunkter i den ene retningen
	*/
	public int getVN() { return this.VN; }
	
	/**
	* Returnerer hodets UN
	* @return en int som er antallet kontrollpunkter i den andre retningen
	*/
	public int getUN() { return this.UN; }
}	