import gl4java.*;

/**
* Klasse for materialer som brukes dersom teksturene ikke er tilgjengelige.
* @author Linda Cecilie Kjeldsen, Grafisk Databehandling 2004, Hi
* @version 0.1
*/

public class Material implements GLEnum {

    GLFunc gl = null;
	
    /**
    * Konstruktr for Material klassen
    */
    public Material(GLFunc gl) {
		this.gl = gl;
    }

	/** 
	* Setter materialet til fargen lilla 
	*/		
    public void purple() {
		float amb[]={0.7f,0.65f,0.85f,1.0f};
		float diff[]={0.5f,0.25f,0.3f,1.0f};
		float spec[]={0.2f,0.5f,0.5f,1.0f};
		float shine=76.8f;
		gl.glMaterialfv(GL_FRONT_AND_BACK,GL_AMBIENT,amb);
		gl.glMaterialfv(GL_FRONT_AND_BACK,GL_DIFFUSE,diff);
		gl.glMaterialfv(GL_FRONT_AND_BACK,GL_SPECULAR,spec);
		gl.glMaterialf(GL_FRONT_AND_BACK,GL_SHININESS,shine);
    }

	/**
	* Setter materialet til fargen hvit 
	*/	 	
	public void white() {
		float amb[]={1.0f,0.86f,0.61f,1.0f};
		float diff[]={1.0f,0.76f,0.94f,1.0f};
		float spec[]={0.16f,0.28f,0.42f,1.0f};
		float shine=128f;
		gl.glMaterialfv(GL_FRONT_AND_BACK,GL_AMBIENT,amb);
		gl.glMaterialfv(GL_FRONT_AND_BACK,GL_DIFFUSE,diff);
		gl.glMaterialfv(GL_FRONT_AND_BACK,GL_SPECULAR,spec);
		gl.glMaterialf(GL_FRONT_AND_BACK,GL_SHININESS,shine);
	}
}